> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# Create subscription <Badge intent="info" minimal outlined>OAuth Scope: subscriptions:write</Badge>

POST https://api.beehiiv.com/v2/publications/{publicationId}/subscriptions
Content-Type: application/json

Create new subscriptions for a publication.

Reference: https://developers.beehiiv.com/api-reference/subscriptions/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object

### Body (application/json)

This endpoint expects a SubscriptionRequest.

- `email` (string, required) — The email address of the subscription.
- `reactivate_existing` (boolean, optional, default: false) — Whether or not to reactivate the subscription if they have already unsubscribed. This option should be used only if the subscriber is knowingly resubscribing.
- `send_welcome_email` (boolean, optional, default: false)
- `utm_source` (string, optional) — The source of the subscription.
- `utm_medium` (string, optional) — The medium of the subscription
- `utm_campaign` (string, optional) — The acquisition campaign of the subscription
- `utm_term` (string, optional) — The acquisition term; typically the keyword or search term
- `utm_content` (string, optional) — The acquisition content; typically used for A/B testing or ad variations
- `referring_site` (string, optional) — The website that the subscriber was referred from
- `referral_code` (string, optional) — This should be a subscribers referral_code. This gives referral credit for the new subscription.
- `custom_fields` (list of CustomFieldValue, optional) — The custom fields must already exist for the publication. Any new custom fields here will be discarded.
- `double_opt_override` (string, optional) — Override the publication's default double opt-in settings for this subscription. Possible values are: - "on" — The subscriber will receive a double opt-in confirmation email and will need to confirm their subscription prior to being marked as active. - "off" — The subscriber will be marked as active immediately and will not receive a double opt-in confirmation email. - "not_set" — The publication's default double opt-in settings will be applied to this subscription.
- `tier` (enum, optional) — The tier for this subscription.
  - Allowed values: `free`, `premium`
- `premium_tiers` (list of string, optional) — An array of premium tier names to assign to this subscription. When provided, the subscription will be assigned to premium tiers matching these names. Can be combined with `premium_tier_ids` to include tiers from both (duplicates are removed). Takes precedence over the `tier` parameter.
- `premium_tier_ids` (list of string, optional) — An array of premium tier IDs to assign to this subscription. When provided, the subscription will be assigned to these specific premium tiers. Can be combined with `premium_tiers` to include tiers from both (duplicates are removed). Takes precedence over the `tier` parameter.
- `stripe_customer_id` (string, optional) — The Stripe customer ID for this subscription.
- `automation_ids` (list of string, optional) — Enroll the subscriber into automations after their subscription has been created. Requires the automations to have an active *Add by API* trigger.
- `newsletter_list_ids` (list of string, optional) — An array of newsletter list prefixed IDs to subscribe the new subscription to. The newsletter lists must belong to the same publication.
- `skip_newsletter_list_auto_subscribe` (boolean, optional) — When true, the subscriber will not be auto-subscribed to newsletter lists configured with auto-subscribe. Defaults to false.
- `complimentary_gift_id` (string, optional) — The prefixed ID of a complimentary access object to apply to this subscription. The complimentary access must belong to the same publication.

## Response

### 200

Subscription created

- `data` (Subscription, required) — The subscription object
- `warnings` (list of ErrorDetail, optional) — Present when custom field data in the request could not be applied (an unknown or missing field name). The subscription is still created or updated; any unresolvable custom field values are dropped rather than the whole request failing.

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### CustomFieldValue

The object required for setting custom field values on a subscription

- `name` (string, optional) — The name of the existing custom field
- `value` (CustomFieldDataType, optional) — The value stored for the subscription

### Subscription

The subscription object

- `id` (string, required) — The prefixed subscription id
- `email` (string, required)
- `status` (enum, required) — The status of the subscription.`validating` - The email address is being validated.`invalid` - The email address is invalid.`pending` - The email address is valid, but the subscription is pending double opt-in.`active` - The email was valid and the subscription is active.`inactive` - The subscription was made inactive, possibly due to an unsubscribe.`needs_attention` - The subscription requires approval or denial.
  - Allowed values: `validating`, `invalid`, `pending`, `active`, `inactive`, `needs_attention`, `paused`
- `created` (integer, required) — The date the subscription was created. Measured in seconds since the Unix epoch
- `subscription_tier` (enum, required) — The current tier of the subscription.
  - Allowed values: `free`, `premium`
- `subscription_premium_tier_names` (list of string, required) — The current premium tiers of the subscription. Empty if the subscriber is not associated with any premium tiers.
- `utm_source` (string, required) — The acquisition source; where the subscriber came from
- `utm_medium` (string, required) — The acquisition medium; how the subscriber got to your publication
- `utm_channel` (enum, required) — The acquisition channel
  - Allowed values: ``, `website`, `import`, `embed`, `api`, `referral`, `recommendation`, `magic_link`, `boost`, `boost_send`, `boost_direct_link`, `integration`, `product`, `group_invite`
- `utm_campaign` (string, required) — The acquisition campaign
- `utm_term` (string, required) — The acquisition term; typically the keyword or search term
- `utm_content` (string, required) — The acquisition content; typically used for A/B testing or ad variations
- `referring_site` (string, required) — The website that the subscriber was referred from
- `referral_code` (string, required) — The code associated to this subscriber to refer others. When a new subscription is created with this referral code, credit for the referral goes to this subscription.
- `subscription_premium_tiers` (list of SubscriptionTierInfo, optional) — Optional list of tiers for a subscription. Retrievable by including `expand: [subscription_premium_tiers]` in the request body.
- `custom_fields` (list of CustomField, optional) — Optional list of custom fields for a subscription. Retrievable by including `expand: [custom_field]` in the request body.
- `tags` (list of string, optional) — Optional list of tags for a subscription. Retrievable by including `expand: [tags]` in the request body. Max limit of 100 unique tags per publication.
- `stats` (SubscriptionStats, optional) — Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.
- `newsletter_list_ids` (list of string, optional) — The prefixed IDs of the newsletter lists this subscription is actively subscribed to. Requires `expand[]=newsletter_lists`.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

### CustomFieldDataType

### SubscriptionTierInfo

- `id` (string, required) — The prefixed ID of the tier.
- `name` (string, required)
- `status` (enum, required) — Returns whether or not the tier has any active prices.
  - Allowed values: `active`, `archived`

### CustomField

- `name` (string, optional) — The name of the existing custom field
- `kind` (enum, optional) — The type of value being stored in the custom field.
  - Allowed values: `string`, `integer`, `boolean`, `date`, `datetime`, `list`, `double`
- `value` (CustomFieldDataType, optional) — The value stored for the subscription

### SubscriptionStats

Optional list of stats for a subscription. Retrievable by including `expand: [stats]` in the request body.

- `emails_received` (integer, optional) — The total number of emails that have been sent to this subscriber
- `open_rate` (double, optional) — The percentage of emails that the subscriber has opened
- `click_through_rate` (double, optional) — The percentage of emails that the subscriber has clicked a link in

## Examples

**Request**

```json
{
  "email": "bruce.wayne@wayneenterprise.com",
  "reactivate_existing": false,
  "send_welcome_email": false,
  "utm_source": "WayneEnterprise",
  "utm_medium": "organic",
  "utm_campaign": "fall_2022_promotion",
  "referring_site": "www.wayneenterprise.com/blog",
  "custom_fields": [
    {
      "name": "First Name",
      "value": "Bruce"
    },
    {
      "name": "Last Name",
      "value": "Wayne"
    }
  ],
  "stripe_customer_id": "cus_12345abcde",
  "newsletter_list_ids": [
    "nl_list_00000000-0000-0000-0000-000000000000"
  ]
}
```

**Response**

```json
{
  "data": {
    "id": "sub_00000000-0000-0000-0000-000000000000",
    "email": "example@example.com",
    "status": "validating",
    "created": 1666800076,
    "subscription_tier": "free",
    "subscription_premium_tier_names": [
      "Premium",
      "Gold"
    ],
    "utm_source": "Twitter",
    "utm_medium": "organic",
    "utm_channel": "website",
    "utm_campaign": "utm_campaign",
    "utm_term": "",
    "utm_content": "",
    "referring_site": "https://www.blog.com",
    "referral_code": "referral_code"
  }
}
```

**SDK Code**

```typescript
import { BeehiivClient } from "beehiiv";

const client = new BeehiivClient({ token: "YOUR_TOKEN" });
await client.subscriptions.create("pub_00000000-0000-0000-0000-000000000000", {
    email: "bruce.wayne@wayneenterprise.com",
    reactivateExisting: false,
    sendWelcomeEmail: false,
    utmSource: "WayneEnterprise",
    utmMedium: "organic",
    utmCampaign: "fall_2022_promotion",
    referringSite: "www.wayneenterprise.com/blog",
    customFields: [{
            name: "First Name",
            value: "Bruce"
        }, {
            name: "Last Name",
            value: "Wayne"
        }],
    stripeCustomerId: "stripe_customer_id"
});

```

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions"

payload = {
    "email": "bruce.wayne@wayneenterprise.com",
    "reactivate_existing": False,
    "send_welcome_email": False,
    "utm_source": "WayneEnterprise",
    "utm_medium": "organic",
    "utm_campaign": "fall_2022_promotion",
    "referring_site": "www.wayneenterprise.com/blog",
    "custom_fields": [
        {
            "name": "First Name",
            "value": "Bruce"
        },
        {
            "name": "Last Name",
            "value": "Wayne"
        }
    ],
    "stripe_customer_id": "cus_12345abcde",
    "newsletter_list_ids": ["nl_list_00000000-0000-0000-0000-000000000000"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions"

	payload := strings.NewReader("{\n  \"email\": \"bruce.wayne@wayneenterprise.com\",\n  \"reactivate_existing\": false,\n  \"send_welcome_email\": false,\n  \"utm_source\": \"WayneEnterprise\",\n  \"utm_medium\": \"organic\",\n  \"utm_campaign\": \"fall_2022_promotion\",\n  \"referring_site\": \"www.wayneenterprise.com/blog\",\n  \"custom_fields\": [\n    {\n      \"name\": \"First Name\",\n      \"value\": \"Bruce\"\n    },\n    {\n      \"name\": \"Last Name\",\n      \"value\": \"Wayne\"\n    }\n  ],\n  \"stripe_customer_id\": \"cus_12345abcde\",\n  \"newsletter_list_ids\": [\n    \"nl_list_00000000-0000-0000-0000-000000000000\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"email\": \"bruce.wayne@wayneenterprise.com\",\n  \"reactivate_existing\": false,\n  \"send_welcome_email\": false,\n  \"utm_source\": \"WayneEnterprise\",\n  \"utm_medium\": \"organic\",\n  \"utm_campaign\": \"fall_2022_promotion\",\n  \"referring_site\": \"www.wayneenterprise.com/blog\",\n  \"custom_fields\": [\n    {\n      \"name\": \"First Name\",\n      \"value\": \"Bruce\"\n    },\n    {\n      \"name\": \"Last Name\",\n      \"value\": \"Wayne\"\n    }\n  ],\n  \"stripe_customer_id\": \"cus_12345abcde\",\n  \"newsletter_list_ids\": [\n    \"nl_list_00000000-0000-0000-0000-000000000000\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"email\": \"bruce.wayne@wayneenterprise.com\",\n  \"reactivate_existing\": false,\n  \"send_welcome_email\": false,\n  \"utm_source\": \"WayneEnterprise\",\n  \"utm_medium\": \"organic\",\n  \"utm_campaign\": \"fall_2022_promotion\",\n  \"referring_site\": \"www.wayneenterprise.com/blog\",\n  \"custom_fields\": [\n    {\n      \"name\": \"First Name\",\n      \"value\": \"Bruce\"\n    },\n    {\n      \"name\": \"Last Name\",\n      \"value\": \"Wayne\"\n    }\n  ],\n  \"stripe_customer_id\": \"cus_12345abcde\",\n  \"newsletter_list_ids\": [\n    \"nl_list_00000000-0000-0000-0000-000000000000\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions', [
  'body' => '{
  "email": "bruce.wayne@wayneenterprise.com",
  "reactivate_existing": false,
  "send_welcome_email": false,
  "utm_source": "WayneEnterprise",
  "utm_medium": "organic",
  "utm_campaign": "fall_2022_promotion",
  "referring_site": "www.wayneenterprise.com/blog",
  "custom_fields": [
    {
      "name": "First Name",
      "value": "Bruce"
    },
    {
      "name": "Last Name",
      "value": "Wayne"
    }
  ],
  "stripe_customer_id": "cus_12345abcde",
  "newsletter_list_ids": [
    "nl_list_00000000-0000-0000-0000-000000000000"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"email\": \"bruce.wayne@wayneenterprise.com\",\n  \"reactivate_existing\": false,\n  \"send_welcome_email\": false,\n  \"utm_source\": \"WayneEnterprise\",\n  \"utm_medium\": \"organic\",\n  \"utm_campaign\": \"fall_2022_promotion\",\n  \"referring_site\": \"www.wayneenterprise.com/blog\",\n  \"custom_fields\": [\n    {\n      \"name\": \"First Name\",\n      \"value\": \"Bruce\"\n    },\n    {\n      \"name\": \"Last Name\",\n      \"value\": \"Wayne\"\n    }\n  ],\n  \"stripe_customer_id\": \"cus_12345abcde\",\n  \"newsletter_list_ids\": [\n    \"nl_list_00000000-0000-0000-0000-000000000000\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "email": "bruce.wayne@wayneenterprise.com",
  "reactivate_existing": false,
  "send_welcome_email": false,
  "utm_source": "WayneEnterprise",
  "utm_medium": "organic",
  "utm_campaign": "fall_2022_promotion",
  "referring_site": "www.wayneenterprise.com/blog",
  "custom_fields": [
    [
      "name": "First Name",
      "value": "Bruce"
    ],
    [
      "name": "Last Name",
      "value": "Wayne"
    ]
  ],
  "stripe_customer_id": "cus_12345abcde",
  "newsletter_list_ids": ["nl_list_00000000-0000-0000-0000-000000000000"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/subscriptions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```